Skip to main content
POST
/
v1
/
models
/
{modelId}
/
branch
/
{branchName}
/
dbt
Set dbt environment on model branch
curl --request POST \
  --url https://{instance}.omniapp.co/api/v1/models/{modelId}/branch/{branchName}/dbt \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dbt_environment_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "dbt_git_branch": "feature/branch"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

modelId
string<uuid>
required

The unique identifier of the model

branchName
string
required

The name of the branch to configure

Body

application/json
dbt_environment_id
string<uuid>
required

The ID of the dbt environment to set as active for the branch

Example:

"b2c3d4e5-f6a7-8901-bcde-f12345678901"

dbt_git_branch
string

Optional git branch name to associate with the dbt environment

Example:

"feature/branch"

Response

dbt environment configuration updated successfully

success
boolean
Example:

true